"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeOnceCallback = void 0;
function makeOnceCallback(callback) {
    let isCalled = false;
    return (err, result) => {
        if (isCalled) {
            return;
        }
        isCalled = true;
        callback(err, result);
    };
}
exports.makeOnceCallback = makeOnceCallback;
